# https://www.mkdocs.org/user-guide/configuration/
site_name: Asyla Website
site_description: Asyla
site_author: Asyla
copyright: Asyla

# site_url: https://asyla-managed-sites.gitlab.io/asyla/asyla.org/
site_url: https://www.asyla.org/
site_dir: public  # used by `.gitlab-ci.yml`

repo_name: Asyla Repo  # name of link, doesnt have to be the actual repo name
repo_url: https://gitlab.com/asyla-managed-sites/asyla/asyla.org
edit_uri: edit/main/asyla_website/

docs_dir: asyla_website
# The navigation list on the left side of the page
# see : https://www.mkdocs.org/user-guide/configuration/#nav
nav:
  - Home: README.md
  - Tags: tags.md

use_directory_urls: true
#strict: true

# https://github.com/mkdocs/mkdocs/wiki/MkDocs-Plugins
# Interesting looking plugins:
#   https://github.com/zayd62/mkdocs-versioning
#   https://pypi.org/project/mkdocs-new-features-notifier/
#   https://github.com/apenwarr/mkdocs-exclude
#   https://github.com/orbikm/mkdocs-ezlinks-plugin # Wikilink (`[[]]`) support
#   https://github.com/fire1ce/mkdocs-embed-external-markdown # to compile metadocs
#   https://github.com/SivagiriVisakan/mkdocs-replace-plugin # another to compile metadocs
#   https://github.com/byrnereese/mkdocs-git-committers-plugin
#   https://pypi.org/project/mkdocs-rss-plugin/
#   https://github.com/stuebersystems/mkdocs-img2fig-plugin
plugins:
  - search
  - bootstrap-tables
  - tags:
      tags_file: tags.md
  - embed_file

# For more detail about what these extensions do:
# https://squidfunk.github.io/mkdocs-material/reference/
markdown_extensions:
  - tables
  #- attr_list
  - def_list
  - pymdownx.arithmatex:
      generic: true
  - admonition
  - md_in_html
  - pymdownx.caret
  - pymdownx.mark
  - pymdownx.tilde
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
  - toc:
      permalink: true
  - pymdownx.highlight
  - pymdownx.details
  - pymdownx.tabbed:
      alternate_style: true
  - footnotes
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.pathconverter:
      base_path: 'YOUR_REPO_NAME' # default: ''
      relative_path: '' # default ''
      #absolute: true # default: false
      absolute: false
      tags: 'a script img link object embed'

extra_css:
  - stylesheets/tables.css
  - stylesheets/icon-style.css

extra_javascript:
  # MathJax: https://www.mathjax.org/#gettingstarted
  - https://polyfill.io/v3/polyfill.min.js?features=es6
  # jsdelivr: https://docs.mathjax.org/en/latest/web/start.html
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js

# https://github.com/mkdocs/mkdocs/wiki/MkDocs-Themes
theme:
  name: material  # https://squidfunk.github.io/mkdocs-material/
  custom_dir: custom_theme/  # https://www.mkdocs.org/user-guide/customizing-your-theme/
  locale: en
  features:
    - toc.follow
    - navigation.tracking
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      toggle: 
        icon: material/brightness-7
        name: Switch to dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to light mode

